import request from '@/utils/request'

export function getLevelPage(data) {
  return request({
    url: '/base-level/page',
    method: 'get',
    params: data
  })
}

export function getLevelList(data) {
  return request({
    url: '/base-level/list',
    method: 'post',
    data: data
  })
}

export function getLevelById(data) {
  return request({
    url: '/base-level/listById',
    method: 'post',
    data: data
  })
}

export function addLevel(data) {
  return request({
    url: '/base-level/add',
    method: 'post',
    data: data
  })
}

export function editLevel(data) {
  return request({
    url: '/base-level/edit',
    method: 'post',
    data: data
  })
}

export function delLevel(data) {
  return request({
    url: '/base-level/delete',
    method: 'post',
    data: data
  })
}
